---
lang: en
title: 'API docs: openapi-v3.controllerspec'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/openapi-v3
permalink: /doc/en/lb4/apidocs.openapi-v3.controllerspec.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/openapi-v3](./openapi-v3.md) &gt; [ControllerSpec](./openapi-v3.controllerspec.md)

## ControllerSpec interface

**Signature:**

```typescript
export interface ControllerSpec 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[basePath?](./openapi-v3.controllerspec.basepath.md)


</td><td>


</td><td>

string


</td><td>

_(Optional)_ The base path on which the Controller API is served. If it is not included, the API is served directly under the host. The value MUST start with a leading slash (/).


</td></tr>
<tr><td>

[components?](./openapi-v3.controllerspec.components.md)


</td><td>


</td><td>

ComponentsObject


</td><td>

_(Optional)_ OpenAPI components.schemas generated from model metadata


</td></tr>
<tr><td>

[paths](./openapi-v3.controllerspec.paths.md)


</td><td>


</td><td>

PathObject


</td><td>

The available paths and operations for the API.


</td></tr>
</tbody></table>


